Making an external using UB SDK on OSX 10.2

May 5, 2007 at 5:40pm

Making an external using UB SDK on OSX 10.2

Hello all,

I compiled the example maximum provided with UB SDK and got maximum.mxo. But the problem is that Max 4.5 could not recognize the external.

I tried:

(1) File -> Install the maximum.mxo
(2) Copy the maximum.mxo into Max externals directory

but both of them didn’t work.

Do you have any advice on my problem?

I am using Max 4.5 and OSX 10.2.

Thank you.

zoltar

#31769
May 5, 2007 at 7:14pm

When I installed the new external I got the following error:
error: ***** no such object

And when I copy the new external into max externals directory:
there is no “no such object” error but the object appears without its inlets and outlets …

#103612
May 6, 2007 at 8:27pm

Did you restart max? You need to restart after compiling. There is already a
maximum external in the standard externals folder. You want to be sure max
is loading your compiled version, so move the original one out of max search
path.
Also these errors can be caused my max patchers having the same name as
externals. If you created a file called maximum.pat or something rename it.

hth. -thijs

On 5/5/07, zoltar wrote:
>
>
> When I installed the new external I got the following error:
> error: ***** no such object
>
> And when I copy the new external into max externals directory:
> there is no “no such object” error but the object appears without its
> inlets and outlets …
>

#103613
May 6, 2007 at 8:53pm

Thank you for your reply.

I restarted max to test the external. Also I copied all files in maximum directory and changed the name to ‘testobject’, so I got testobject.mxo and it didn’t work….

#103614
May 6, 2007 at 8:55pm

Quote: zoltar wrote on Sat, 05 May 2007 19:40
—————————————————-
> I compiled the example maximum provided with UB SDK and got maximum.mxo.
> I am using Max 4.5 and OSX 10.2.
—————————————————-

Use Max 4.6.x

4.5 theoretically works with UBs, but in practice not always.

#103615
May 7, 2007 at 5:11pm

Thank you very much for your advice. I installed Max 4.6 and it worked!!

#103616

You must be logged in to reply to this topic.